#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  libaom-3.12.0

- Next

  libcanberra-0.30

- Up
- Home

# libass-0.17.3

## Introduction to libass

libass is a portable subtitle renderer for the ASS/SSA (Advanced Substation Alpha/Substation Alpha) subtitle format that allows for more advanced subtitles than the conventional SRT and similar formats.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://github.com/libass/libass/releases/download/0.17.3/libass-0.17.3.tar.xz

- Download MD5 sum: baed6dfc87bed705c1955cc6b932d7f6

- Download size: 436 KB

- Estimated disk space required: 7.7 MB

- Estimated build time: less than 0.1 SBU

### libass Dependencies

#### Required

FreeType-2.13.3 and FriBidi-1.0.16

#### Recommended

Fontconfig-2.16.0 and NASM-2.16.03

#### Optional

harfBuzz-10.4.0 and libunibreak

## Installation of libass

Install libass by running the following commands:

    ./configure --prefix=/usr --disable-static &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--disable-fontconfig`: Use this switch if you didn't install Fontconfig.

## Contents

Installed Programs: None
Installed Library: libass.so
Installed Directory: /usr/include/ass

### Short Descriptions

`libass.so` | provides the functions used to render ASS/SSA subtitle format

- Prev

  libaom-3.12.0

- Next

  libcanberra-0.30

- Up
- Home